PUT /api/v202104/vendor/{vendorId}/auditEnabled

Enable or disable all accounts assigned to a vendor from audits

SetVendorAccountsAuditExclusionV202104 Permissions: FlaggedItems (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
vendorId The identifier for the vendor to act upon integer (int32) Required

Request Body

VendorAuditEnable
Property Description Type
auditEnabled True to allow all vendor accounts’ bills to be audited False to exclude all vendor accounts’ bills from being audited Required (defined) boolean
Example Request Body application/json
{  "auditEnabled": false
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

UpdatedOnlyResult
Property Description Type
updated Required (defined) integer (int32)
Example Response application/json
{  "updated": 1
}